AI 任务是异步处理的。功能支持 Webhook 时,优先用 Webhook 来接收完成通知。配置好您的 Webhook 端点、校验 Webhook 签名,收到 success 或 error 通知后,用收到的 task_id 查询任务结果。配置与校验的细节请见 Webhook 接入指南。
若功能不支持 Webhook,或您的接入方式用不了 Webhook,就请实现轮询。提交 AI 任务后,按固定间隔(例如每 10 秒)轮询状态接口,直到任务状态变为 success 或 error。
安全
BearerAuthenticationV2
Any of:
用于运行任务的参考文件 URL,该 URL 需可公开访问。
示例:
[ "https://example.com/vto_sku.jpg" ]
- https://yce-api-01.makeupar.comhttps://yce-api-01.makeupar.com/s2s/v2.0/task/2d-vto/ring
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/2d-vto/ring \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"srcmsk_file_url": "https://example.com/src_mask.jpg",
"ref_file_urls": [
"https://example.com/vto_sku.jpg"
],
"refmsk_file_urls": [
"https://example.com/vto_sku_mask.jpg"
],
"source_info": {
"name": "https://example.com/selfie.jpg",
"mask_name": "https://example.com/src_mask.jpg"
},
"object_infos": [
{
"name": "https://example.com/vto_sku.jpg",
"mask_name": "https://example.com/vto_sku_mask.jpg",
"parameter": {
"ring_need_remove_background": true,
"ring_anchor_point": null,
"ring_wearing_finger": null,
"ring_wearing_location": null,
"ring_shadow_intensity": 0.15,
"ring_ambient_light_intensity": 1
}
}
]
}'响应
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }